Bug 653739 - RHUI 1.2 Updates: Chapter 2 - Requirements
Summary: RHUI 1.2 Updates: Chapter 2 - Requirements
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Documentation
Version: 1.2
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Lana Brindley
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On: 649748
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-16 02:29 UTC by Lana Brindley
Modified: 2013-10-23 23:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 649748
Environment:
Last Closed: 2011-07-29 04:40:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lana Brindley 2010-11-16 02:29:22 UTC
+++ This bug was initially created as a clone of Bug #649748 +++

--- Additional comment from lbrindle@redhat.com on 2010-11-15 21:28:21 EST ---

(In reply to comment #0)

> 
> 2.2.1  Here's a more concise list of the things I make sure are in place before
> I can properly configure the RHUA. I'm largely doing this as my own checklist
> to make sure everything is present in the docs, but I figured including it
> might be helpful:
> 
> - SSH private key to log into the CDS instances.
> - Content cert and private key provided by Red Hat.
> - If the embedded load balancer is being used, SSL certificate whose CN is set
> to the fully qualified hostname of the RHUA instance, along with its associated
> private key.
> - CA certificate that will be used in the RHUI environment for all SSL
> certificates (i.e. those on the load balancer and CDS instances) and all client
> entitlement certificates.
> - Make sure the RHUA instance has enough space on it for all the packages. This
> will vary depending on the cloud provider. For instance, in Amazon, this would
> likely involve creating a new S3 volume, attaching it to the instance, and
> mounting it on the RHUA. Since it's so variable depending on the cloud
> provider, our only requirement is that it's mounted and accessible. How they
> get to that point is their responsibility.
> - If a proxy is needed for the RHUA to connect to the external (i.e. outside
> the cloud) internet, the proxy information (host, username, password) is needed
> when configuring the RHUA.

I would like to use this to re-construct this chapter. Unfortunately, we don't have resources for this degree of change during this review. Cloning this bug so that it can be addressed in a future iteration of the doc.

LKB

Comment 1 Lana Brindley 2011-05-06 02:35:59 UTC
Changes made in 2.0 version.

LKB

Comment 2 Kedar Bidarkar 2011-05-24 14:58:41 UTC
This check list now exists as part of RHUI 2.0 doc (chapter 2.0 Installation Requirements)

Comment 3 Lana Brindley 2011-07-29 04:40:09 UTC
This book is now available at http://docs.redhat.com/docs/en-US/Red_Hat_Update_Infrastructure/2.0/html/Installation_Guide/index.html

Please raise a new bug for any further changes.

LKB


Note You need to log in before you can comment on or make changes to this bug.